API v2.5 / eSIMs / Get eSIM details
GET /esims/{iccid}
This endpoint allows you to retrieve detailed information about a specific eSIM using its ICCID (Integrated Circuit Card Identifier).
eSIM profile statuses:
Released - The eSIM is not installed. If there is a firstInstalledDateTime then the eSIM has been installed previously and then uninstalled again.
Installed - The eSIM is installed.
Downloaded - This is unlikely to be seen very often. It would be when the bundle has been delivered to LPA, but the eSIM has not yet been released.
Unavailable - An eSIM in this status cannot be installed. We recommend reissuing a new eSIM instead, especially if the eSIM is not already installed.
Deactivated - The eSIM has been deactivated and can no longer be used.
lastDevice shows the device the eSIM was last downloaded to or installed on, when known. Only the device fields with a known value are returned. To be told when profileStatus changes instead of polling this endpoint, use the Profile Status Change notification.
Authorizations
Parameters
Path Parameters
(Required) The ICCID of the eSIM
Example
8944123456789012000Query Parameters
Example
installUrlResponses
200
OK
object
The Integrated Circuit Card Identifier of the SIM card
894123456789123456The phone number. Assign only to eSIMs with SMS or voice allowances
4471234131234The Personal Identification Number for the SIM card
0000The Personal Unblocking Key for the SIM card
123445678A unique identifier for matching purposes (used for eSIM activation)
JQ-123456-ABCDEPFXThe Subscription Manager Data Preparation server address (used for eSIM activation)
http://rsp.example.comThe current status of the SIM profile
InstalledTrue for a physical SIM (pSIM), false for an eSIM
The timestamp of when the profile was first installed (in milliseconds since epoch)
1723541877280Customer reference information
URL used for eSIM installation for Apple devices with iOS 17.4 and above
https://esimsetup.apple.com/esim_qrcode_provisioning?carddata=LPA:1$rsp-1234.example.com$ABCD-ABCD-ABCD-ABCDURL used for eSIM installation for Android devices
https://esimsetup.android.com/esim_qrcode_provisioning?carddata=LPA:1$rsp-1234.example.com$ABCD-ABCD-ABCD-ABCDThe unique ID of the branding assigned to the eSIM. If the default branding is used, the response will show “(default)”
f616f7g8-ey0d-123d-803d-0214a2f5dafbThe eSIM operator’s profile name
Profile 1The current state of the eSIM
activeThe last device the eSIM profile was downloaded to or installed on. Omitted when not known.
object
The International Mobile Equipment Identity of the device. Omitted when not known.
350089571234565The eUICC Identifier of the device’s embedded SIM. Omitted when not known.
89049032021008881300304741158317The Type Allocation Code of the device (the first 8 digits of the IMEI), which identifies its make and model. Omitted when not known.
35008957The device manufacturer. Omitted when the TAC is not known or not recognised.
APPLEThe device model. Omitted when the TAC is not known or not recognised.
IPHONE DUO400
Bad Request - returned when request format is not accepted
object
Status of api functions which do not return data
403
Unauthorised - returned when the api token is invalid; the user does not have any available Bundles left or the ICCID is not accessible by the user
object
Status of api functions which do not return data
429
Too Many Requests
object
Status of api functions which do not return data
500
Server Error
object
Status of api functions which do not return data
503
Processing - Please come back later or use the Retry-After (seconds) header
object
Status of api functions which do not return data